dyre-0.9.2: Dynamic reconfiguration in Haskell

Safe Haskell | None
Language | Haskell2010

Config.Dyre.Compat

Description

Compatibility code for things that need to be done differently on different systems.

Synopsis

- customExec :: FilePath -> Maybe [String] -> IO a
- getPIDString :: IO String

# Documentation

customExec :: FilePath -> Maybe [String] -> IO a Source #

Called whenever execution needs to be transferred over to a different binary.

getPIDString :: IO String Source #

What it says on the tin. Gets the current PID as a string. Used to determine the name for the state file during restarts.